Forgot password - Request reset link
curl --request POST \
--url https://app.thareja.ai/api/v3/user/resetpassword \
--header 'Content-Type: application/json' \
--data '
{
"email": "user@example.com"
}
'import requests
url = "https://app.thareja.ai/api/v3/user/resetpassword"
payload = { "email": "user@example.com" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({email: 'user@example.com'})
};
fetch('https://app.thareja.ai/api/v3/user/resetpassword', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"msg": "Reset password link is sent successfully!"
}{
"error": 400,
"message": "Invalid request parameters"
}{
"error": "Invalid Email!"
}{
"error": "Failed to send email"
}Authentication
Forgot Password
Request a password reset link to be sent via email. Generates a token and invalidates all active sessions.
POST
/
api
/
v3
/
user
/
resetpassword
Forgot password - Request reset link
Overview
Request a password reset link to be sent via email. This endpoint generates a password reset token and sends it to the user’s registered email address. The user can then use this token to reset their password.Request Body
string
required
The email address of the user who forgot their password.Format: Valid email addressExample:
"user@example.com"Response
boolean
Whether the request was successful.
string
Success message confirming the reset link was sent.
Example Request